Package org.apache.sling.cms.publication

## Class PublicationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sling.cms.publication.PublicationException

All Implemented Interfaces:
  `Serializable`

    public class PublicationException
    extends Exception

A wrapper exception for an issue occuring when publishing or unpublishing content.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`PublicationException​(String message)`
`PublicationException​(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PublicationException

    public PublicationException​(String message)

#### PublicationException

    public PublicationException​(String message,
                                Throwable cause)